## pyzmq 16.0.2

=== docs/requirements.txt ===
cython>=0.20
sphinx>=1.3
https://pypi.python.org/packages/source/g/gevent/gevent-1.1b6.tar.gz

=== debian/changelog ===
pyzmq (16.0.2-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:38:25 +0000

pyzmq (16.0.2-2build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 16 May 2017 21:22:03 +0530

pyzmq (16.0.2-2) unstable; urgency=medium

  * skip some randomly failing or hanging tests, the package is still
    functional enough for its rdependencies
  * don't create dbgsym packages

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 22 Dec 2016 21:32:37 +0100

pyzmq (16.0.2-1) unstable; urgency=medium

  * New upstream release.
  * update build dependencies for new minimum python 2.7 and 3.3

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 30 Oct 2016 17:18:31 +0100

pyzmq (15.4.0-1) unstable; urgency=medium

  * New upstream release.
  * remove upstream applied patches:
     - handle-no-tornado
     - noncopysend-test.patch
     - thread_auth_fixes
  * remove obsolete debian/copyright sections
  * add pytest to build depends
  * remove python3 test special case, obsolete by pytest
  * update adt-tests to pytest

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 24 Aug 2016 22:06:33 +0200

=== debian/control ===
Source: pyzmq
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>, Vincent Bernat <bernat@debian.org>
Build-Depends: cython (>= 0.20-1~),
               cython-dbg (>= 0.20-1~),
               debhelper (>= 9~),
               dh-python (>= 1.20131021-1~),
               dpkg-dev (>= 1.16.1~),
               libzmq3-dev,
               pypy (>= 2.2),
               pypy-pytest,
               python-all-dbg (>= 2.7.3-1~),
               python-all-dev (>= 2.7.3-1~),
               python-nose,
               python-numpy, python-numpy-dbg,
               python-gevent, python-gevent-dbg,
               python-cffi, python3-cffi,
               python-cffi-backend-dbg, python3-cffi-backend-dbg,
               python-setuptools,
               python-tornado, python3-tornado,
               python-pytest,
               python3 (>= 3.3.0-1~),
               python3-all-dbg (>= 3.3.0-1~),
               python3-all-dev (>= 3.3.0-1~),
               python3-pytest
Standards-Version: 3.9.8
X-Python-Version: >= 2.3
X-Python3-Version: >= 3.3
Homepage: http://www.zeromq.org/bindings:python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyzmq.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyzmq.git

Package: python-zmq
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for 0MQ library
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.

Package: python-zmq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-zmq (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-dbg
Description: Python bindings for 0MQ library - debugging files
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-zmq
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 bindings for 0MQ library
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the Python3 interpreter.

Package: python3-zmq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-zmq (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python-dbg
Description: Python3 bindings for 0MQ library - debugging files
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the Python3 debug interpreter.

Package: pypy-zmq
Architecture: any
Depends: pypy (>= 2.2),
         ${misc:Depends},
         ${pypy:Depends},
         ${shlibs:Depends}
Description: PyPy bindings for 0MQ library
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the PyPy interpreter.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
export PYBUILD_DESTDIR_python2=debian/python-zmq/
export PYBUILD_DESTDIR_python2-dbg=debian/python-zmq-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-zmq/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-zmq-dbg/
export PYBUILD_DESTDIR_pypy=debian/pypy-zmq/
export PYBUILD_DEBUG=1
# ignore that randomly hang or crash (gh-953)
export PYBUILD_TEST_ARGS=-v --ignore=zmq/tests/test_auth.py --ignore=zmq/tests/test_security.py
export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,pypy --buildsystem=pybuild

override_dh_install:
	dh_install
	# remove a couple of header files already in python3-zmq
	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	find debian/python-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	# cffi is only used for pypy
	rm -rf debian/python-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	find debian/python*-zmq/ -name compiler.json -delete
	find debian/python*-zmq/ -name config.json -delete
	# cython core is only used for cpython
	rm -rf debian/pypy-zmq/usr/lib/pypy/dist-packages/zmq/backend/cython
	# yield from isn't byte-compileable in Python 2.x
	find debian/python-zmq debian/pypy-zmq -name '*test_asyncio.py' -delete
	find debian/python-zmq debian/pypy-zmq -name '*asyncio.py' -delete

	# build shared libraries for pypy and install them
	pypy -c 'import zmq'
	mv -v zmq/backend/cffi/__pycache__/*so \
	  $(CURDIR)/debian/pypy-zmq/usr/lib/pypy/dist-packages/zmq/backend/cffi
	# put there by install, not needed
	rm -f $(CURDIR)/debian/pypy-zmq/usr/lib/pypy/dist-packages/_cffi*.so

	find debian/python-zmq -depth -type d -empty -exec rmdir {} \;
	find debian/python-zmq-dbg -type d -depth -empty -exec rmdir {} \;
	find debian/python3-zmq -depth -type d -empty -exec rmdir {} \;
	find debian/python3-zmq-dbg -type d -depth -empty -exec rmdir {} \;
	find debian/pypy-zmq -type d -depth -empty -exec rmdir {} \;

override_dh_auto_test:
# hard to debug race condition in monitor sockets
ifneq (,$(filter $(ARCHITECTURE), mipsel mips))
	-dh_auto_test -- --test-pytest
else
	dh_auto_test -- --test-pytest
endif

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-all-dbg, python-zmq, python-zmq-dbg, python-nose, python-numpy-dbg, python-numpy, python-tornado, python-gevent, python-gevent-dbg, python-pytest

Tests: python3
Depends: python3-all, python3-all-dbg, python3-zmq, python3-zmq-dbg, python3-nose, python3-numpy, python3-numpy-dbg, python3-tornado, python3-pytest

Tests: pypy
Depends: pypy-pytest, pypy-zmq

=== debian/watch ===
version=3
https://github.com/zeromq/pyzmq/tags .*/.*v(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## pyzmq 17.1.0

=== debian/changelog ===
pyzmq (17.1.0-1) unstable; urgency=medium

  [ Julian Taylor ]
  * new upstream release
  * bump standard to 4.1.5, no changes necessary

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 21 Jul 2018 15:40:10 +0200

pyzmq (17.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Julian Taylor ]
  * New upstream release
  * bump standard to 4.1.1, no changes necessary
  * 0004-tornado-5-compat.patch: fix compatibility with tornado 5
    Closes: #894437, #893360

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 30 Mar 2018 13:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>, Vincent Bernat <bernat@debian.org>
+Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>,
+           Vincent Bernat <bernat@debian.org>
 Build-Depends: cython (>= 0.20-1~),
                cython-dbg (>= 0.20-1~),
                debhelper (>= 9~),
@@ -13,24 +14,27 @@
                pypy-pytest,
                python-all-dbg (>= 2.7.3-1~),
                python-all-dev (>= 2.7.3-1~),
+               python-cffi,
+               python-cffi-backend-dbg,
+               python-gevent,
+               python-gevent-dbg,
                python-nose,
-               python-numpy, python-numpy-dbg,
-               python-gevent, python-gevent-dbg,
-               python-cffi, python3-cffi,
-               python-cffi-backend-dbg, python3-cffi-backend-dbg,
+               python-numpy,
+               python-numpy-dbg,
+               python-pytest,
                python-setuptools,
-               python-tornado, python3-tornado,
-               python-pytest,
+               python-tornado,
                python3 (>= 3.3.0-1~),
                python3-all-dbg (>= 3.3.0-1~),
                python3-all-dev (>= 3.3.0-1~),
-               python3-pytest
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.3
-X-Python3-Version: >= 3.3
+               python3-cffi,
+               python3-cffi-backend-dbg,
+               python3-pytest,
+               python3-tornado
+Standards-Version: 4.1.5
 Homepage: http://www.zeromq.org/bindings:python
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyzmq.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyzmq.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyzmq.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyzmq
 
 Package: python-zmq
 Architecture: any
@@ -50,7 +54,6 @@
 
 Package: python-zmq-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: python-zmq (= ${binary:Version}),
          ${misc:Depends},
@@ -92,13 +95,12 @@
 
 Package: python3-zmq-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: python3-zmq (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python-dbg
+Recommends: python3-dbg
 Description: Python3 bindings for 0MQ library - debugging files
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency
@@ -116,10 +118,7 @@
 
 Package: pypy-zmq
 Architecture: any
-Depends: pypy (>= 2.2),
-         ${misc:Depends},
-         ${pypy:Depends},
-         ${shlibs:Depends}
+Depends: pypy (>= 2.2), ${misc:Depends}, ${pypy:Depends}, ${shlibs:Depends}
 Description: PyPy bindings for 0MQ library
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency

## pyzmq 17.1.2

=== debian/changelog ===
pyzmq (17.1.2-3ubuntu2+ds) xenial; urgency=medium

  * revert back to using debhelper and debian/compat

 -- SaltStack Packaging Team <packaging@saltstack.com>  Wed, 10 Jun 2020 00:24:15 -0000

pyzmq (17.1.2-3ubuntu1) eoan; urgency=medium

  * d/p/bump-poll-timeout-auth-test.patch: increase poll timeout to
    two seconds to avoid test failure on slow machines.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 23 Jul 2019 11:56:58 -0300

pyzmq (17.1.2-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop PyPy support

 -- Ondřej Nový <onovy@debian.org>  Mon, 22 Jul 2019 18:38:40 +0200

pyzmq (17.1.2-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Backport patch to fix test run with libzmq >= 4.3.0 (closes: #919283).

  [ Stewart Ferguson ]
  * Adding version requirement to build depend (Closes: #845538).

  [ Laszlo Boszormenyi (GCS) ]
  * Add myself to uploaders.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Jan 2019 21:26:02 +0000

pyzmq (17.1.2-1) unstable; urgency=medium

  * New upstream release
  * bump standard to 4.2.1, no changes necessary

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 27 Oct 2018 15:37:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: pyzmq
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>,
-           Vincent Bernat <bernat@debian.org>
+           Vincent Bernat <bernat@debian.org>,
+           Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: cython (>= 0.20-1~),
                cython-dbg (>= 0.20-1~),
-               debhelper (>= 9~),
+               debhelper (>= 9),
                dh-python (>= 1.20131021-1~),
                dpkg-dev (>= 1.16.1~),
                libzmq3-dev,
-               pypy (>= 2.2),
-               pypy-pytest,
                python-all-dbg (>= 2.7.3-1~),
                python-all-dev (>= 2.7.3-1~),
                python-cffi,
@@ -23,15 +23,15 @@
                python-numpy-dbg,
                python-pytest,
                python-setuptools,
-               python-tornado,
+               python-tornado (>= 4.0),
                python3 (>= 3.3.0-1~),
                python3-all-dbg (>= 3.3.0-1~),
                python3-all-dev (>= 3.3.0-1~),
                python3-cffi,
                python3-cffi-backend-dbg,
                python3-pytest,
-               python3-tornado
-Standards-Version: 4.1.5
+               python3-tornado (>= 4.0)
+Standards-Version: 4.2.1
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyzmq.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyzmq
@@ -115,21 +115,3 @@
  transport protocols and more.
  .
  This package contains the extension built for the Python3 debug interpreter.
-
-Package: pypy-zmq
-Architecture: any
-Depends: pypy (>= 2.2), ${misc:Depends}, ${pypy:Depends}, ${shlibs:Depends}
-Description: PyPy bindings for 0MQ library
- Python bindings for 0MQ. 0MQ is a small, fast, and free
- software library that gives you message-passing concurrency
- for applications in most common languages.
- .
- The 0MQ lightweight messaging kernel is a library which
- extends the standard socket interfaces with features
- traditionally provided by specialised messaging middleware
- products. 0MQ sockets provide an abstraction of asynchronous
- message queues, multiple messaging patterns, message
- filtering (subscriptions), seamless access to multiple
- transport protocols and more.
- .
- This package contains the extension built for the PyPy interpreter.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
export PYBUILD_DESTDIR_python2=debian/python-zmq/
export PYBUILD_DESTDIR_python2-dbg=debian/python-zmq-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-zmq/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-zmq-dbg/
export PYBUILD_DEBUG=1
# ignore that randomly hang or crash (gh-953)
export PYBUILD_TEST_ARGS=-v --ignore=zmq/tests/test_auth.py --ignore=zmq/tests/test_security.py
export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# remove a couple of header files already in python3-zmq
	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	find debian/python-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	# remove cffi
	rm -rf debian/python-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	find debian/python*-zmq/ -name compiler.json -delete
	find debian/python*-zmq/ -name config.json -delete

	find debian/python-zmq -depth -type d -empty -exec rmdir {} \;
	find debian/python-zmq-dbg -type d -depth -empty -exec rmdir {} \;
	find debian/python3-zmq -depth -type d -empty -exec rmdir {} \;
	find debian/python3-zmq-dbg -type d -depth -empty -exec rmdir {} \;

override_dh_auto_test:
# hard to debug race condition in monitor sockets
ifneq (,$(filter $(ARCHITECTURE), mipsel mips))
	-dh_auto_test -- --test-pytest
else
	dh_auto_test -- --test-pytest
endif

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## pyzmq 18.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
SRCDIR        = source

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

default: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf $(SRCDIR)/api/generated/*
	-rm -rf dist
	-rm -rf gh-pages

api: $(SRCDIR)/api/generated/gen.rst

$(SRCDIR)/api/generated/gen.rst:
	python autogen_api.py
	@echo "Build API docs finished."

dist: all
	mkdir -p dist
	rm -rf dist/*
	ln $(BUILDDIR)/latex/PyZMQ.pdf dist/
	cp -a $(BUILDDIR)/html dist/
	@echo "Build finished.  Final docs are in dist/"

pdf: latex
	cd $(BUILDDIR)/latex && make all-pdf

all: html pdf

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyZMQ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyZMQ.qhc"

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

gh-pages: html
	sh update_ghpages.sh

=== docs/requirements.txt ===
cython>=0.25
sphinx>=1.7
gevent

=== debian/changelog ===
pyzmq (18.1.1-3) unstable; urgency=medium

  * Patch an endian-specific test which was failing on big-endian
    architectures

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Mar 2020 21:33:39 +0000

pyzmq (18.1.1-2) unstable; urgency=medium

  * Fix quoting error in autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Thu, 05 Mar 2020 23:13:50 +0000

pyzmq (18.1.1-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release: 18.1.1
  * Drop backported patches: fix_monitor_test.patch,
    ThreadAuthenticator-race.patch, python3.8.diff
  * Drop versioned depends already satisfied in oldstable
  * Update to Standards-Version 4.5.0 (no changes)
  * Add some extra optional test dependencies on python3: nose, numpy
  * Drop build-time and autopkgtests on python2 to prune the python2
    dependency tree

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938310

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Mar 2020 19:10:18 -0500

pyzmq (17.1.2-4) unstable; urgency=medium

  * Team upload.
  * Apply patches from 17.1.2-3ubuntu5 to fix FTBFS (closes: #945328)
    - d/p/ThreadAuthenticator-race.patch: fix a race condition that causes
      test_curve_user_id to fail intermittently [Michael Hudson-Doyle]
    - d/p/bump-poll-timeout-auth-test.patch: increase poll timeout 1 -> 2
      seconds for slow architectures [Andreas Hasenack]
    - d/p/python3.8.diff: compatibility fix for asyncio tests in python3.8 due
      to changes in the underlying python exceptions [Matthias Klose]

 -- Gordon Ball <gordon@chronitis.net>  Wed, 04 Dec 2019 20:24:19 +0000

=== debian/control ===
Source: pyzmq
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>,
           Vincent Bernat <bernat@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               libzmq3-dev,
               cython3,
               cython3-dbg,
               python3-all-dbg,
               python3-all-dev,
               python3-cffi,
               python3-cffi-backend-dbg,
               python3-nose,
               python3-numpy,
               python3-numpy-dbg,
               python3-pytest,
               python3-setuptools,
               python3-tornado,
Standards-Version: 4.5.0
Homepage: http://www.zeromq.org/bindings:python
Vcs-Git: https://salsa.debian.org/python-team/modules/pyzmq.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyzmq

Package: python3-zmq
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 bindings for 0MQ library
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the Python3 interpreter.

Package: python3-zmq-dbg
Section: debug
Architecture: any
Depends: python3-zmq (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dbg
Description: Python3 bindings for 0MQ library - debugging files
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the Python3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
export PYBUILD_DESTDIR_python3=debian/python3-zmq/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-zmq-dbg/
export PYBUILD_DEBUG=1
# ignore that randomly hang or crash (gh-953)
export PYBUILD_TEST_ARGS=-v --ignore=zmq/tests/test_auth.py --ignore=zmq/tests/test_security.py
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# remove a couple of header files already in python3-zmq
	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	# remove cffi
	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	find debian/python*-zmq/ -name compiler.json -delete
	find debian/python*-zmq/ -name config.json -delete

	find debian/python3-zmq -depth -type d -empty -exec rmdir {} \;
	find debian/python3-zmq-dbg -type d -depth -empty -exec rmdir {} \;

override_dh_auto_test:
# hard to debug race condition in monitor sockets
ifneq (,$(filter $(ARCHITECTURE), mipsel mips))
	-dh_auto_test -- --test-pytest
else
	dh_auto_test -- --test-pytest
endif

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-all-dbg, python3-zmq, python3-zmq-dbg, python3-nose, python3-numpy, python3-numpy-dbg, python3-tornado, python3-pytest
Restrictions: allow-stderr

## pyzmq 19.0.2

=== debian/changelog ===
pyzmq (19.0.2-1) unstable; urgency=medium

  * New upstream version 19.0.2
  * Update to debhelper compat level 13

 -- Gordon Ball <gordon@chronitis.net>  Tue, 18 Aug 2020 11:57:10 +0000

pyzmq (19.0.1-1) unstable; urgency=medium

  * New upstream version 19.0.1
  * Rebase patches; drop proxy-test-endianness.patch
  * Declare Rules-Requires-Root: no
  * Test suite (build-time and autopkgtest)
     + Enable security
     + Disable log, cython

 -- Gordon Ball <gordon@chronitis.net>  Tue, 11 Aug 2020 22:00:20 +0000

pyzmq (18.1.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate Build-Depends with <!nocheck>. (Closes: #961468)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 01 Jun 2020 18:16:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,26 @@
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>,
            Vincent Bernat <bernat@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libzmq3-dev,
                cython3,
-               cython3-dbg,
+               cython3-dbg <!nocheck>,
                python3-all-dbg,
                python3-all-dev,
-               python3-cffi,
-               python3-cffi-backend-dbg,
-               python3-nose,
-               python3-numpy,
-               python3-numpy-dbg,
-               python3-pytest,
-               python3-setuptools,
-               python3-tornado,
+               python3-cffi <!nocheck>,
+               python3-cffi-backend-dbg <!nocheck>,
+               python3-nose <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-numpy-dbg <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-setuptools <!nocheck>,
+               python3-tornado <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyzmq.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyzmq
+Rules-Requires-Root: no
 
 Package: python3-zmq
 Architecture: any

## pyzmq 20.0.0

=== debian/changelog ===
pyzmq (20.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * New upstream version 20.0.0
  * Refresh patches, drop superseded backport
    asyncio-wait-for-POLLOUT-on-sender-in-can_connect

 -- Gordon Ball <gordon@chronitis.net>  Fri, 13 Nov 2020 19:14:26 +0000

pyzmq (19.0.2-2) unstable; urgency=medium

  * Backport upstream fix of asyncio: wait for POLLOUT on sender in
    can_connect.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Sep 2020 16:07:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pyzmq
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>,
            Vincent Bernat <bernat@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
@@ -21,9 +21,9 @@
                python3-setuptools <!nocheck>,
                python3-tornado <!nocheck>,
 Standards-Version: 4.5.0
-Homepage: http://www.zeromq.org/bindings:python
-Vcs-Git: https://salsa.debian.org/python-team/modules/pyzmq.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pyzmq
+Homepage: https://www.zeromq.org/bindings:python
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyzmq.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyzmq
 Rules-Requires-Root: no
 
 Package: python3-zmq

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_DESTDIR_python3-dbg=debian/python3-zmq-dbg/
 export PYBUILD_DEBUG=1
 # ignore that randomly hang or crash (gh-953)
-export PYBUILD_TEST_ARGS=-v --ignore=zmq/tests/test_auth.py --ignore=zmq/tests/test_security.py
+export PYBUILD_TEST_ARGS=-v -k 'not (test_auth or test_log or test_cython)'
 export DH_VERBOSE=1
 
 %:
@@ -20,6 +20,7 @@
 	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
 	# remove cffi
 	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
+	rm -rf debian/python3-zmq/usr/lib/debug/.dwz
 	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
 	find debian/python*-zmq/ -name compiler.json -delete
 	find debian/python*-zmq/ -name config.json -delete
@@ -37,3 +38,4 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+	rm -rf debian/python3-zmq/usr/lib/debug

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
     https://github.com/zeromq/pyzmq/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pyzmq 22.3.0

=== docs/requirements.txt ===
cython>=0.29
gevent
pygments==2.4.2
sphinx>=3.0.4
sphinx-rtd-theme==0.5.*
tornado

=== debian/changelog ===
pyzmq (22.3.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:18:30 +0000

pyzmq (22.3.0-1) unstable; urgency=medium

  * New upstream version 22.3.0

 -- Gordon Ball <gordon@chronitis.net>  Sun, 10 Oct 2021 21:55:13 +0000

pyzmq (22.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * Drop explicit debug package python3-zmq-dbg

 -- Gordon Ball <gordon@chronitis.net>  Sat, 04 Sep 2021 18:59:13 +0000

pyzmq (22.2.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTBFS with nocheck profile: unconditionally depend on
    python3-setuptools. (Closes: #983621)

  [ Gordon Ball ]
  * New upstream version 22.2.1
  * Refresh patches

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-zmq-dbg: Add Multi-Arch: same.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Aug 2021 18:02:33 +0000

=== debian/control ===
Source: pyzmq
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>,
           Vincent Bernat <bernat@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libzmq3-dev,
               cython3,
               cython3-dbg <!nocheck>,
               python3-all-dev,
               python3-cffi <!nocheck>,
               python3-nose <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-tornado <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://www.zeromq.org/bindings:python
Vcs-Git: https://salsa.debian.org/python-team/packages/pyzmq.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyzmq
Rules-Requires-Root: no

Package: python3-zmq
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 bindings for 0MQ library
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more.
 .
 This package contains the extension built for the Python3 interpreter.

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-zmq, python3-nose, python3-numpy, python3-tornado, python3-pytest
Restrictions: allow-stderr

## pyzmq 24.0.1

=== debian/changelog ===
pyzmq (24.0.1-4) unstable; urgency=high

  * Team Upload.
  * convert test_on_recv_basic to async. Should really
    build on slower archs now.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 13 Jan 2023 15:30:52 +0530

pyzmq (24.0.1-3) unstable; urgency=medium

  * Team Upload.
  * Further increase timeout to build on slower archs

 -- Nilesh Patra <nilesh@debian.org>  Fri, 13 Jan 2023 15:17:29 +0530

pyzmq (24.0.1-2) unstable; urgency=medium

  [ Gordon Ball ]
  * Team Upload.
  * Drop obsolete dependency on python3-nose (Closes: #1018605)

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add patch to increase test timeout (Closes: #1027209)
  * Run autopkgtest for supported pyvers instead of requested

 -- Nilesh Patra <nilesh@debian.org>  Fri, 13 Jan 2023 08:41:54 +0530

pyzmq (24.0.1-1) unstable; urgency=medium

  * d/watch: track github tags, not releases
  * New upstream version 24.0.1
  * Standards-Version: 4.6.1
  * Build using pyproject.toml (pybuild-plugin-pyprojwct) instead of setup.py

 -- Gordon Ball <gordon@chronitis.net>  Mon, 03 Oct 2022 19:51:34 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Vincent Bernat <bernat@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
                dh-python,
                libzmq3-dev,
                cython3,
                cython3-dbg <!nocheck>,
                python3-all-dev,
                python3-cffi <!nocheck>,
-               python3-nose <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-tornado <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.zeromq.org/bindings:python
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyzmq.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyzmq

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
export PYBUILD_DESTDIR_python3=debian/python3-zmq/
export PYBUILD_DEBUG=1
# ignore that randomly hang or crash (gh-953)
export PYBUILD_TEST_ARGS=-v -k 'not (test_auth or test_log or test_cython)'
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# remove cffi
	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	find debian/python*-zmq/ -name compiler.json -delete
	find debian/python*-zmq/ -name config.json -delete

	find debian/python3-zmq -depth -type d -empty -delete

override_dh_auto_test:
# hard to debug race condition in monitor sockets
ifneq (,$(filter $(ARCHITECTURE), mipsel mips))
	-dh_auto_test -- --test-pytest
else
	dh_auto_test -- --test-pytest
endif

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-zmq, python3-numpy, python3-tornado, python3-pytest
Restrictions: allow-stderr

## pyzmq 26.2.0

=== debian/changelog ===
pyzmq (26.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 22:52:36 +0000

pyzmq (24.0.1-5) unstable; urgency=medium

  * Team Upload.
  * Drop Build-Depends on cython3-dbg, no longer needed
  * Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 15:47:12 +0000
